Enumerations | Functions

# departures_gui.h File Reference

`#include "departures_type.h"`
`#include "station_base.h"`

Go to the source code of this file.

## Enumerations
enum | DeparturesWindowWidgets { DW_WIDGET_CAPTION, DW_WIDGET_LIST, DW_WIDGET_SCROLLBAR, DW_SHOW_DEPS, DW_SHOW_ARRS, DW_SHOW_VIA, DW_SHOW_TRAINS, DW_SHOW_ROADVEHS, DW_SHOW_SHIPS, DW_SHOW_PLANES }
| Enum for DeparturesView, referring to _nested_departures_list. More...
## Functions
void | ShowStationDepartures (StationID station)
| Shows a window of scheduled departures for a station.
void | ShowWaypointDepartures (StationID waypoint)
| Shows a window of scheduled departures for a station.

## Detailed Description

Definition in file departures_gui.h.

## Enumeration Type Documentation

enum DeparturesWindowWidgets

Enum for DeparturesView, referring to _nested_departures_list.

Enumerator:

  DW_WIDGET_CAPTION | Window caption.
  DW_WIDGET_LIST | List of departures.
  DW_WIDGET_SCROLLBAR | List scrollbar.
  DW_SHOW_DEPS | Toggle departures button.
  DW_SHOW_ARRS | Toggle arrivals button.
  DW_SHOW_VIA | Toggle via button.
  DW_SHOW_TRAINS | Toggle trains button.
  DW_SHOW_ROADVEHS | Toggle road vehicles button.
  DW_SHOW_SHIPS | Toggle ships button.
  DW_SHOW_PLANES | Toggle planes button.

Definition at line 19 of file departures_gui.h.

## Function Documentation

void ShowStationDepartures | ( | StationID | station | ) |

Shows a window of scheduled departures for a station.

Parameters:

  | station | the station to show a departures window for

Definition at line 338 of file departures_gui.cpp.

Referenced by StationViewWindow::OnClick().

void ShowWaypointDepartures | ( | StationID | waypoint | ) |

Shows a window of scheduled departures for a station.

Parameters:

  | station | the station to show a departures window for

Definition at line 347 of file departures_gui.cpp.

Referenced by WaypointWindow::OnClick().